package de.renew.function;

import de.renew.unify.*;
import java.lang.reflect.Constructor;

public class ConstructorFunction implements de.renew.unify.Function {
  Object constr;
  public ConstructorFunction(Class clazz) {
    constr=clazz;
  }
  public ConstructorFunction(String name) throws ClassNotFoundException {
    constr=Class.forName(name);
  }
  public ConstructorFunction(Constructor constructor) {
    constr=constructor;
  }

  public Object function(Object param) throws Impossible {
    Tuple tuple=(Tuple)param;

    Object[] paramArr=new Object[tuple.getArity()];
    for (int i=0;i<paramArr.length;i++) {
      paramArr[i]=tuple.getComponent(i);
    }

    try {
      if (constr instanceof Class) {
	return Executor.executeConstructor((Class)constr,paramArr);
      } else {
	return Executor.executeConstructor((Constructor)constr,paramArr);
      }
    }
    catch (Exception e) {
      throw new Impossible(
        "An exception occured during a constructor call.");
    }
  }
}

