package de.renew.function;

import de.renew.unify.*;
import java.lang.reflect.*;

public class FieldFunction implements de.renew.unify.Function {
  Object field;

  public FieldFunction(String field) {
    this.field=field;
  }

  public FieldFunction(Field field) {
    this.field=field;
  }

  public Object function(Object param) throws Impossible {
    try {
      if (param.getClass().isArray()) {
	if (field.equals("length")) {
	  return new Value(new Integer(Array.getLength(param)));
	} else {
	  throw new Impossible();
	}
      }

      Field theField;
      if (field instanceof String) {
	theField=param.getClass().getField((String)field);
      } else {
	theField=(Field)field;
      }

      return Executor.possiblyWrap(theField.get(param),
	theField.getType().isPrimitive());
    }
    catch (Exception e) {
      throw new Impossible();
    }
  }
}

