package de.renew.function;

import java.lang.reflect.*;
import de.renew.unify.*;

public class StaticFieldFunction implements NoArgFunction {
  private Field field;

  public StaticFieldFunction(Field field) {
    this.field=field;
  }

  public Object function() throws Impossible {
    try {
      return Executor.possiblyWrap(field.get(null),
	field.getType().isPrimitive());
    }
    catch (Exception e) {
      throw new Impossible();
    }
  }
}
