package de.renew.function;

import java.lang.reflect.*;
import de.renew.unify.*;

public class StaticFieldWriteFunction implements de.renew.unify.Function {
  private Field field;

  public StaticFieldWriteFunction(Field field) {
    this.field=field;
  }

  public Object function(Object param) throws Impossible {
    try {
      // Unlike in FieldFunction we must not deal with the special
      // field length for arrays, which cannot be assigned.
      field.set(null,Executor.unvalueAndCast(param,field.getType()));
      return param;
    }
    catch (Exception e) {
      throw new Impossible();
    }
  }
}
