package de.renew.java;

import de.renew.shadow.SyntaxException;

public class FSNetCompiler extends JavaNetCompiler {
  protected InscriptionParser makeParser(String inscr) {
    return new FSNetParser(new java.io.StringReader(inscr));
  }

  TypedExpression parseArcInscription(String inscr,
    ParsedDeclarationNode declaration) throws SyntaxException
  {
    if (inscr==null || inscr.equals("")) {
      inscr="\"[]\"";
    }
    return super.parseArcInscription(inscr,declaration);
  }
}
