package de.renew.java;

import collections.CollectionEnumeration;
import de.renew.simulator.*;
import de.renew.shadow.*;

public interface InscriptionParser {
  void setDeclarationNode(ParsedDeclarationNode decl);
  void setLookup(ShadowLookup lookup);

  ParsedDeclarationNode DeclarationNode()
    throws ParseException;
  Class PlaceTypeInscription() 
    throws ParseException;
  TypedExpression ArcInscription() 
    throws ParseException;
  CollectionEnumeration TransitionInscription(boolean create) 
    throws ParseException;
}
