package de.renew.shadow;

public interface ShadowCompiler {
  public ShadowLookup compile(ShadowNetSystem netSystem)
    throws SyntaxException;

  public void checkDeclarationNode(String inscr)
    throws SyntaxException;
  public void checkArcInscription(String inscr, ShadowNet shadowNet)
    throws SyntaxException;
  public void checkTransitionInscription(String inscr, ShadowNet shadowNet)
    throws SyntaxException;
  public void checkPlaceInscription(String inscr, ShadowNet shadowNet)
    throws SyntaxException; 
}
