package de.renew.shadow;

import collections.*;

public class ShadowDeclarationNode implements ShadowNetElement {
  ShadowNet shadowNet;
  public final String inscr;

  public ShadowDeclarationNode(ShadowNet shadowNet, String inscr) {
    this.shadowNet=shadowNet;
    this.inscr=inscr;
    shadowNet.add(this);
  }

  public void syntaxCheck() throws SyntaxException {
    shadowNet.netSystem.compiler.checkDeclarationNode(inscr);
  }

  public void discard() {
    shadowNet.remove(this);
  }
}
