package de.renew.shadow;

import collections.*;

public class ShadowTransition extends ShadowNode {
  boolean trace;

  public ShadowTransition(ShadowNet shadowNet) {
    super(shadowNet);
    setTrace(true);
  }

  public void setTrace(boolean trace) {
    if (this.trace!=trace) {
      this.trace=trace;
      shadowNet.changeNotify();
    }
  }

  public boolean getTrace() {
    return trace;
  }
}
