package de.renew.simulator;

public interface Binder {
  // return roughly the number of possible bindings to test
  // Sometimes the searcher parameter ought to be
  // removed. It is unneccessary.
  public int bindingBadness(Searcher searcher); 

  // loop through all the possible bindings
  //   establish the binding
  //   remove this binder if it does not need to be accessed again
  //   add other binders if required
  //   bind variables
  //   call the searcher
  //   undo the bindings
  public boolean bind(Searcher searcher);
}

