package de.renew.simulator;

import collections.*;

public class CreationInscription implements ExecutableInscription {
  private Net net;
  private LocalVariable createVariable;

  public CreationInscription(Net net, LocalVariable createVariable) {
    this.net=net;
    this.createVariable=createVariable;
  }

  public InscriptionOccurrence makeOccurrence(VariableMapper mapper, 
    TransitionInstance transitionInstance)
  {
    return new CreationOccurrence(mapper.map(createVariable),net);
  }
}
