package de.renew.simulator;

interface Finder {
  // Return true if the acquired binding should
  // terminate the search. This method must implement
  // the desired actions: e.g. counting the number of
  // enabled bindings, record all enabled bindings,
  // record the first binding for later firing,
  // wait for an appropriate binding, etc.
  public boolean found(Searcher searcher);
}

