package de.renew.simulator;

class InputTokenCollector implements TokenCollector {
  PlaceInstance placeInstance;

  InputTokenCollector(PlaceInstance placeInstance) {
    this.placeInstance=placeInstance;
  }

  public boolean containsToken(Object token) {
    return placeInstance.containsToken(token);
  }
  
  public void collectToken(Object token) {
    placeInstance.reserveToken(token);
  }

  public void freeToken(Object token) {
    placeInstance.unreserveToken(token);
  }
}
