package de.renew.simulator;

class TestTokenCollector implements TokenCollector {
  PlaceInstance placeInstance;

  TestTokenCollector(PlaceInstance placeInstance) {
    this.placeInstance=placeInstance;
  }

  public boolean containsToken(Object token) {
    return placeInstance.containsTestableToken(token);
  }
  
  public void collectToken(Object token) {
    placeInstance.testToken(token);
  }

  public void freeToken(Object token) {
    placeInstance.untestToken(token);
  }
}
