package de.renew.unify;

final class Unknown extends Carrier {
  // Do not create a new object array each time.
  // An array of size 0 is not modifiable anyway.
  final static Object[] emptyObjectArray=new Object[0];

  Unknown() {
    super(emptyObjectArray,null);
  }

  boolean calculateComplete() {
    return false;
  }

  boolean calculateBound() {
    throw new RuntimeException(
      "An incomplete unknown had to calculate its boundedness. Strange.");
  }
}
