package CH.ifa.draw.cpn;

import CH.ifa.draw.framework.*;
import de.renew.simulator.*;
import de.renew.shadow.*;

public interface ShadowHolder {
  // Build a shadow in the given shadow net.
  public void buildShadow(ShadowNet net);

  // Get the associated shadow, if any.
  public ShadowNetElement getShadow();

  // Try to locate a figure that is associated
  // with a certain shadow object. Return null, if this
  // shadow holder is not responsible for this shadow object.
  public Figure locateShadow(Object shadow);
}
