package de.renew.call;

import de.renew.simulator.*;
import de.renew.unify.*;

class NotifyExecutable implements LateExecutable {
  SynchronisationRequest synchronisation;
  Tuple parameters;

  NotifyExecutable(SynchronisationRequest synchronisation, Tuple parameters) {
    this.synchronisation=synchronisation;
    this.parameters=parameters;
  }

  public long phase() {
    return 2;
  }

  // I'll return quickly.
  public boolean isLong() {
    return false;
  }

  public void execute(Tracer tracer) {
    synchronisation.resultParameters=parameters;
    synchronisation.resultSemaphor.V();
  }
}
