package de.renew.java;

import de.renew.simulator.*;

class TypedExpression {
  private Expression expr;
  private Class type;

  TypedExpression(Class type, Expression expr) {
    this.expr=expr;
    this.type=type;
  }

  Expression getExpression() { 
    return expr; 
  }

  Class getType() {
    return type;
  }

  boolean isTyped() {
    return type!=de.renew.util.Types.UNTYPED;
  }
}
