package de.renew.shadow;

import java.util.Hashtable;
import de.renew.simulator.*;

public class ShadowLookup {
  Hashtable translate;
  int tnum;
  int pnum;

  public ShadowLookup() {
    translate=new Hashtable();
    tnum=0;
    pnum=0;
  }

  public void setNet(String name, Net net) {
    translate.put(name,net);
  }
  public Net getNet(String name) {
    return (Net)translate.get(name);
  }

  public void set(ShadowArc element, Arc obj) {
    translate.put(element,obj);
  }

  public void set(ShadowPlace element, Place obj) {
    translate.put(element,obj);
  }

  public void set(ShadowTransition element, Transition obj) {
    translate.put(element,obj);
  }

  public Arc get(ShadowArc element) {
    return (Arc)translate.get(element);
  }

  public Place get(ShadowPlace element) {
    return (Place)translate.get(element);
  }

  public Transition get(ShadowTransition element) {
    return (Transition)translate.get(element);
  }

  public boolean contains(Object element) {
    return translate.containsKey(element);
  }

  public String makePlaceName() {
    pnum++;
    return "P"+pnum;
  }

  public String makeTransitionName() {
    tnum++;
    return "T"+tnum;
  }
}
