package de.renew.simulator;

public class LocalVariable {
  public final String name;

  public LocalVariable(String name) {
    this.name=name.intern();
  }

  public String toString() {
    return "local variable \""+name+"\"";
  }

  public boolean equals(Object obj) {
    if (obj instanceof LocalVariable) {
      return (name==((LocalVariable)obj).name);
    } else {
      return false;
    }
  }

  public int hashCode() {
    return name.hashCode();
  }
}

